/*
 File: not_lr1_2.cpp
 Date and Time: Mon Oct 13 18:18:15 2014 
*/
#include "not_lr1_2.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_not_lr1_2;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 4;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[2] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[3] =  new Per_rule_s_reuse_table();
}
  Cnot_lr1_2::
  Cnot_lr1_2()
    :yacco2::CAbs_fsm
      ("not_lr1_2.lex"
      ,"1.0"
      ,"13-sep-97"
      ,true
      ,"test out lr1"
      ,"Mon Oct 13 18:18:15 2014 "
      ,S1_Cnot_lr1_2){
    
  }
 
Cnot_lr1_2::~Cnot_lr1_2(){

  for(int x = 0;x < 4;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Cnot_lr1_2::failed(){
      return false;
  }
  void Cnot_lr1_2::op(){
}
int Cnot_lr1_2::rhs_to_rules_mapping_[6] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
 ,2 // subrule 4 for rule 3
 ,3 // subrule 5 for rule 4
}; 
Rnot_lr1_2::Rnot_lr1_2(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rnot_lr1_2",0,Cnot_lr1_2::R_Rnot_lr1_2_,P,false,false){
}

RS0::RS0(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RS0",0,Cnot_lr1_2::R_RS0_,P,false,false){
}

RS1::RS1(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RS1",0,Cnot_lr1_2::R_RS1_,P,false,false){
}

RS2::RS2(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RS2",0,Cnot_lr1_2::R_RS2_,P,false,false){
}

